Subject: Re: [pim] <draft-ietf-pim-explicit-tracking-09.txt> updated by Cindy Morgan

From: "Adrian Farrel" <[email-masked]>
Date: Sat, 28 Dec 2013 19:50:34 -0000

Authors and chairs (WG copied for information),

This document had a bit of a lumpy ride when it was in front of the IESG. A number of ADs said words to the effect of "What is being standardised here? There is nothing that affects on-wire behavior, and there are many ways that this function could be implemented in a router."

I tried several approaches in discussion, mainly saying that while this document does not tell you how to achieve interoperability, it does tell you how to not break interoperability. That is, this document provides a core (default) suggestion of how the function can be achieved in a way that will not break PIM. My arguments fell, however, on stony ground since the document does not say this.

Currently we have three Abstain positions and four ADs still to ballot. We need two more No Objection ballots to get the document through. I have put the document back on the agenda for the next telechat, but I think we should take some proactive steps. These could be any of:

1. Downgrade to Informational and add a small piece of text explaining how this document describes a safe mechanism for achieving the function.

2. Remain at Standards Track and add a more substantial piece of text explaining how this document ensure interoperability by describing the black-box behavior of an implementation and offering a safe mechanism for achieving the function while acknowledging that other methods of implementation exist. In effect, this text must say that interoperability will not be broken if the method described is used.

3. Dig in our heals and say that the document is fine as it is (giving reasons!).

Your thoughts?
Adrian

> -----Original Message-----
> From: DraftTracker Mail System [mailto:[email-masked]]
> Sent: 19 December 2013 18:41
> To: Adrian Farrel
> Subject: <draft-ietf-pim-explicit-tracking-09.txt> updated by Cindy Morgan
> 
> 
> Please DO NOT reply to this email.
> 
> I-D: <draft-ietf-pim-explicit-tracking-09.txt>
> ID Tracker URL: http://datatracker.ietf.org/doc/draft-ietf-pim-explicit-tracking/
> 
> State changed to IESG Evaluation::AD Followup from IESG Evaluation